.\$Id: qrequest.man,v 1.4 1996/05/02 14:40:14 doug Exp $ 
.TH QREQUEST 1 "6 July 1993" BDSN
.SH NAME
qrequest - generate POD (SEED writer) request file from holdings file(s).
.SH SYNOPSIS
.B qrequest
[\ \fB\-H\ holdings_file\fR\ |\ \fB\-D\ holdings_dir\fR\ ]
[\ \fB\-R\ \fIreject_channel_list\fR\ ]
[\ \fB\-f\ \fIdate\fR\ ]
[\ \fB\-t\ \fIdate\fR\ ]
[\ \fB\-d\ \fInum\fR\ ]
[\ \fB\-h\fR\ ]
[\ \fIstation_list\fR\ ]
[\ \fIchannels_1\ ...\ channels_n\fR\ ]
.br
.SH DESCRIPTION
The program
.B qrequest
create request records for any data that matches the specified stations,
channels, and time window entries in the holdings file.  The holdings file,
which was created by qhold, contain a list of time intervals for all raw
data in 4K SEED data records that is available to be written to SEED input
volumes.  A request record for each matching time interval for any of the
specified channels of any specified station will be created will be written to
stdout.  The request records are used as input for the SEED data writer that
will create SEED volumes to be entered in the DCC storage system and
database.
.SH OPTIONS
.TP
\fB\-H \fIholdings_file\fR\ |\ \-D \fIholdings_dir\fR
.br
specifies either the name of the holdings file that was created with qhold,
or the directory structure that contains the holdings files.  If the
holdings directory is specified, it is assumed to contain daily holdings files 
that are named:
.br
	holding_directory/yyyy/holdings.yy.doy
.br
where yyyy is the year, yy is the last 2 digits of the year, and doy is the
3 digit day_of_year.
.TP
\fB\-R \fIreject_channel_list\fR
.br
specifies a comma-delimited list of channels to reject.
Channel names may include wildcard characters.
This option can be used to filter out channels that are being
archived but do not have valid instrument responses.
.TP
\fB\-f \fIdate\fR
.br
specifies a beginning (from) time window for which data is desired.  All
data before this time will be discarded.
.TP  
\fB\-t \fIdate\fR
.br
specifies an end (to) time window for which data is desired.  
Only data preceeding this time will be output.  The \"to\"
point is non-inclusive, in that data will be output up to but not including
the final time.  The format for specifying the to and from dates are:
.nf
        [19]yy/mm/dd/hh:mm:ss.ffff
        [19]yy/mm/dd.hh:mm:ss.ffff
        [19]yy/mm/dd,hh:mm:ss.ffff
        [19]yy.ddd.hh:mm:ss.ffff
        [19]yy.ddd,hh:mm:ss.ffff
        [19]yy,ddd,hh:mm:ss.ffff
.fi
where the first format specifies the year, month, day, and time, and the
second format specifies year, julian day, and time.  All trailing components
of the time are optional, and if not specified, are assumed to be 0.
.TP
\fB\-s \fItime_spac\fR
specifies a time_span (duration) in either seconds, minutes, hours, or days,
and is an alternate way of specifying the end of a time interval.
The time_span is an integer followed immediately by the character 
\fIs\fR, \fIm\fR, \fIh\fR, or \fId\fR.  If no character is specified, 
seconds are assumed.  This option is mutually exclusive with the \fI-t\fR 
option, and must be used with the \fI-f\fR option.
.TP
\fB\-d \fInum\fR
specifies debugging information should be displayed.  Current debugging
options are:
.nf
.ta 1.0i
	1 for time slew
	2 for complete time info
	4 for block info
	8 for block headers
	16 for flag info
.fi
.ad
Multiple debugging options can be specified by adding the appropriate values
together.
.TP
.B \-h
print out a simple help message with syntax and explaination of the options.
.TP
\fIstation_list\fR
.br
specifies the stations for which data is being requested.  You may specify a
single station name or a comma-delimited list of station names.  Each name
may include Unix wildcard characters (* and ?).  If the station_list
contains any wildcard characters, it must be enclosed in quotes.
.TP
\fIchannels_1\ ...\ channels_n\fR
.br
are one or more comma-separated lists of SEED data channels to be extracted.
You must specify at least 1 channel of data.  
Unix wildcard characters (*?) can be used in a list if it enclosed in quotes.
The string "*" or ALL may be used to specify all known channels.
The specified time window applies to all channels.
.SH EXAMPLES
.br
qrequest -D /home/dc1/Interim/holdings -f 93.201,11:20 -s 15H "*" "BH?" LHZ
.br
.sp
qrequest -D /home/dc1/Interim/holdings -f 93.201,11:20 -s 15H MHC BHZ BHN BHE
.br
.sp
qrequest -D /home/dc1/Interim/holdings -f 93.201,11:20 -s 15H MHC "*"
.br
.sp
qrequest -D /home/dc1/Interim/holdings -f 93.201,11:20 -s 15H BKS,MHC,SAO "*"
.br
.sp
qrequest -D /home/dc1/Interim/holdings -f 93.201,11:20 -s 15H BKS,MHC,SAO "BH?" "LH?"
.SH NOTES
.SH BUGS
Report any problems or suggestion to
doug@perry.berkeley.edu.

